Package twisted :: Package xish :: Module domish :: Class SuxElementStream |
[frames | no frames]

## Class SuxElementStream

    BaseProtocol --+
                   |
            Protocol --+
                       |
               XMLParser --+
                           |
                          SuxElementStream

Method Summary
| `__init__(self)`
| `findUri(self, prefix)`
| `gotCData(self, data)`
| `gotComment(self, data)`
| ``gotEntityReference`(self, entityRef)` Encountered mnemonic entity reference
| ``gotTagEnd`(self, name)` Encountered closing tag
| ``gotTagStart`(self, name, attributes)` Encountered an opening tag.
| ``gotText`(self, data)` Encountered text
Inherited from XMLParser
| ``_buildStateTable`(self)` Return a dictionary of begin, do, end state function tuples
| ``_decode`(self, data)`
| ``_parseError`(self, message)`
| ``begin_afterslash`(self, byte)`
| ``begin_attrname`(self, byte)`
| ``begin_attrval`(self, byte)`
| ``begin_beforeeq`(self, byte)`
| ``begin_bodydata`(self, byte)`
| ``begin_comment`(self, byte)`
| ``begin_doctype`(self, byte)`
| ``begin_entityref`(self, byte)`
| ``begin_expectcdata`(self, byte)`
| ``begin_messyattr`(self, byte)`
| ``begin_tagstart`(self, byte)`
| ``begin_waitscriptendtag`(self, byte)`
| ``connectionMade`(self)` Called when a connection is made.
| ``dataReceived`(self, data)` Called whenever data is received.
| ``do_afterslash`(self, byte)`
| ``do_attrname`(self, byte)`
| ``do_attrs`(self, byte)`
| ``do_attrval`(self, byte)`
| ``do_beforeattrval`(self, byte)`
| ``do_beforeeq`(self, byte)`
| ``do_begin`(self, byte)`
| ``do_bodydata`(self, byte)`
| ``do_cdata`(self, byte)`
| ``do_comment`(self, byte)`
| ``do_doctype`(self, byte)`
| ``do_entityref`(self, byte)`
| ``do_expectcdata`(self, byte)`
| ``do_messyattr`(self, byte)`
| ``do_tagstart`(self, byte)`
| ``do_waitforendscript`(self, byte)`
| ``do_waitforgt`(self, byte)`
| ``do_waitscriptendtag`(self, byte)`
| ``end_attrval`(self)`
| ``end_bodydata`(self)`
| ``end_cdata`(self)`
| ``end_doctype`(self)`
| ``end_entityref`(self)`
| ``end_messyattr`(self)`
| ``gotDoctype`(self, doctype)` Encountered DOCTYPE
| ``maybeBodyData`(self)`
| ``saveMark`(self)` Get the line number and column of the last character parsed
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
| ``connectionLost`(self, reason)` Called when the connection is shut down.
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.

Class Variable Summary
`dict` | `entities` = `{'amp': '&', 'lt': '<', 'gt': '>', 'apos': "'...`
Inherited from XMLParser
`NoneType` | `_prepend` = None
`str` | `attrname` = `''`
`str` | `attrval` = `''`
`int` | `beExtremelyLenient` = 0
`NoneType` | `encodings` = None
`str` | `filename` = `'<xml />'`
`NoneType` | `state` = None
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Method Details

### gotEntityReference(self, entityRef) Encountered mnemonic entity reference Default behaviour is to print. Overrides: `twisted.protocols.sux.XMLParser.gotEntityReference` (inherited documentation)

### gotTagEnd(self, name) Encountered closing tag Default behaviour is to print. Overrides: `twisted.protocols.sux.XMLParser.gotTagEnd` (inherited documentation)

### gotTagStart(self, name, attributes) Encountered an opening tag. Default behaviour is to print. Overrides: `twisted.protocols.sux.XMLParser.gotTagStart` (inherited documentation)

### gotText(self, data) Encountered text Default behaviour is to print. Overrides: `twisted.protocols.sux.XMLParser.gotText` (inherited documentation)

Class Variable Details

    ### entities Type: `dict` Value:
        {'amp': '&', 'lt': '<', 'gt': '>', 'apos': "'", 'quot': '"'}

Generated by Epydoc 2.0 on Sat Oct 25 00:54:45 2003 | http://epydoc.sf.net